0

I'm confused about my cloud VPS. With cat /proc/version I got:

Linux version 2.6.32-754.6.3.el6.x86_64 (mockbuild@x86-01.bsys.centos.org) (gcc version 4.4.7 20120313 (Red Hat 4.4.7-23) (GCC) ) #1 SMP Tue Oct 9 17:27:49 UTC 2018

So, which distro do I have? Red Hat, Centos?

I need to switch the default php version in CLI and Apache.

I got this right now:

# locate bin/php

/opt/cpanel/ea-php54/root/usr/bin/php
/opt/cpanel/ea-php54/root/usr/bin/php-cgi
/opt/cpanel/ea-php54/root/usr/bin/php-config
/opt/cpanel/ea-php54/root/usr/bin/phpize
/opt/cpanel/ea-php54/root/usr/sbin/php-fpm
/opt/cpanel/ea-php55/root/usr/bin/php
/opt/cpanel/ea-php55/root/usr/bin/php-cgi
/opt/cpanel/ea-php55/root/usr/bin/php-config
/opt/cpanel/ea-php55/root/usr/bin/phpize
/opt/cpanel/ea-php55/root/usr/sbin/php-fpm
/opt/cpanel/ea-php56/root/usr/bin/php
/opt/cpanel/ea-php56/root/usr/bin/php-cgi
/opt/cpanel/ea-php56/root/usr/bin/php-config
/opt/cpanel/ea-php56/root/usr/bin/phpize
/opt/cpanel/ea-php56/root/usr/sbin/php-fpm
/opt/cpanel/ea-php70/root/usr/bin/php
/opt/cpanel/ea-php70/root/usr/bin/php-cgi
/opt/cpanel/ea-php70/root/usr/bin/php-config
/opt/cpanel/ea-php70/root/usr/bin/phpize
/opt/cpanel/ea-php70/root/usr/sbin/php-fpm
/usr/bin/php
/usr/bin/php-cgi
/usr/local/bin/php
/usr/local/cpanel/3rdparty/bin/php
/usr/local/cpanel/3rdparty/bin/php-cgi
/usr/local/cpanel/3rdparty/bin/php-config
/usr/local/cpanel/3rdparty/bin/phpize
/usr/local/cpanel/3rdparty/php/56/bin/php
/usr/local/cpanel/3rdparty/php/56/bin/php-cgi
/usr/local/cpanel/3rdparty/php/56/bin/php-config
/usr/local/cpanel/3rdparty/php/56/bin/phpize
/usr/local/cpanel/3rdparty/php/56/sbin/php-fpm
/usr/local/cpanel/bin/php-wrapper

So Im not sure how should I switch from my actual php version:

# php -v

ea-php-cli Copyright 2017 cPanel, Inc. PHP 5.5.38 (cli) (built: Nov 13 2018 20:06:25) Copyright (c) 1997-2015 The PHP Group Zend Engine v2.5.0, Copyright (c) 1998-2015 Zend Technologies with the ionCube PHP Loader v4.7.5, Copyright (c) 2002-2014, by ionCube Ltd., and with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2015, by Zend Technologies

to 7.0 ?

  • What is your “cloud VPS?” Your file listing seems to suggest CPanel is installed. Is this a shared hosting environment? CPanel customizes the environment. You should use CPanel to change your PHP versions according to what the hosting provider supports. /usr/bin/php is probably a symlink to whatever version is active. – Appleoddity Dec 27 '18 at 5:57

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.